---
schema_version: "1"
id: b3826feb96cbd9da87a40a9846b9e3f24e6032c405bda1a61e37fe82b7389d58
title: Update Last Selected App
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_apps_id_update.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_apps_id_update.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: d4e745801f195721bf546ee039691c1d64f48e8473518fa1c47202ec0ba7dac1
description: Returns metadata for an app, and saves an app as the last selected for a user.
---
# Update Last Selected App

Returns metadata for an app, and saves an app as the last selected for a user.

Resource

/ui-api/apps/${appId}

Available Version

43.0

HTTP Method

PATCH

Example

As an example, let’s say that the user has an app with an ID of 06mRM000000AFIrYAO. To get metadata for this app, make this request:

PATCH /services/data/v68.0/ui-api/apps/06mRM000000AFIrYAO?formFactor=Large

The PATCH request doesn’t require a request body. The request returns metadata for the app and its associated navigation tabs. It also updates the last selected app to be this app.

Request parameters for PATCH

<table class="featureTable sort_table" summary="">





              <thead class="thead sorted" align="left">
                <tr>
                  <th class="featureTableHeader vertical-align-top " id="d39821e114">Parameter Name</th>

                  <th class="featureTableHeader vertical-align-top " id="d39821e117">Type</th>

                  <th class="featureTableHeader vertical-align-top " id="d39821e120">Description</th>

                  <th class="featureTableHeader vertical-align-top " id="d39821e123">Required or Optional</th>

                  <th class="featureTableHeader vertical-align-top " id="d39821e126">Available Version</th>

                </tr>

              </thead>

              <tbody class="tbody">
                <tr>
                  <td class="entry" headers="d39821e114" data-title="Parameter Name"><samp class="codeph nolang">formFactor</samp></td>

                  <td class="entry" headers="d39821e117" data-title="Type">String</td>

                  <td class="entry" headers="d39821e120" data-title="Description">The form factor for each app that the user has access to.<a name="form_factor_values_ul"><!-- --></a>
                    <ul class="ul bulletList" id="form_factor_values_ul">
                      <li class="li">
                        <samp class="codeph nolang">Large</samp>—App supports the
                        desktop display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Medium</samp>—App supports the
                        tablet display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Small</samp>—App supports the phone
                        display size.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d39821e123" data-title="Required or Optional">Required</td>

                  <td class="entry" headers="d39821e126" data-title="Available Version">43.0</td>

                </tr>

              </tbody>

            </table>

Response body for PATCH

[App](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_app.htm "The metadata for a single app.")